## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate relm4-icons

Name:           rust-relm4-icons
Version:        0.9.0
Release:        %autorelease
Summary:        Icons for gtk-rs and Relm4 applications

License:        (Apache-2.0 OR MIT) AND CC0-1.0 AND MIT
URL:            https://crates.io/crates/relm4-icons
Source:         %{crates_source}
# https://github.com/Relm4/icons/pull/21
Source100:      LICENSE-CC0-1.0
# Manually created patch for downstream crate metadata changes
Patch:          relm4-icons-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Icons for gtk-rs and Relm4 applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-CC0-1.0
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/icons16.md
%doc %{crate_instdir}/icons32.md
%doc %{crate_instdir}/icons64.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-devel %{_description}

This package contains library source intended for building other packages which
use the "all" feature of the "%{crate}" crate.

%files       -n %{name}+all-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fluent-system-icons-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fluent-system-icons-devel %{_description}

This package contains library source intended for building other packages which
use the "fluent-system-icons" feature of the "%{crate}" crate.

%files       -n %{name}+fluent-system-icons-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+icon-development-kit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+icon-development-kit-devel %{_description}

This package contains library source intended for building other packages which
use the "icon-development-kit" feature of the "%{crate}" crate.

%files       -n %{name}+icon-development-kit-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# LICENSE-CC0-1.0
cp -pav %{SOURCE100} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 25 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sat Sep 14 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.8.3-4
- Backport license patch to 0.8.3

* Sat Sep 14 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.8.3-3
- Add missing LICENSE-CC0-1.0 patch.

* Wed Sep 11 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.8.3-2
- Update license information

* Sat Sep 07 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.8.3-1
- Initial import (fedora#2292546).
## END: Generated by rpmautospec
